# useful functions

showintrkey() {
  intrkey="`stty -a | sed -n 's/.*intr = \([^;]*\);.*/\1/p'`"
  echo "
  If you make a mistake or need to stop the ftp sessions for any reason,
    use the interrupt key ($intrkey) to abort.
    "
}

# check for already existing packages in binary/* and remove any half completed versions
checkalldebs() {
  if [ -d binary ]
  then
    echo "Checking for corrupted .deb files in binary..."
    for p in `find binary -name '*.deb' -print` ; do
      (dpkg-deb -I $p > /dev/null && dpkg -c $p > /dev/null) || (echo "Deleting $p"; rm $p)
    done
  fi
}

netrc=~/.netrc
startnetrc() {
  echo "Building .netrc..."

  # save old .netrc
  rm -f save.netrc
  if [ -f $netrc ] && ! ( grep '# MADE BY DPKG_FTP_METHOD' $netrc > /dev/null )
  then
    mv $netrc save.netrc
  fi

  # build new netrc
  email=`logname`\@`hostname -f`
  echo "# MADE BY DPKG_FTP_METHOD" > $netrc
  echo "machine $ftpsite login anonymous password $email macdef init" >> $netrc
  echo "hash" >>$netrc
  echo "prompt" >>$netrc
  echo "binary" >>$netrc
  echo "cd $ftpdir" >>$netrc
}

finishnetrc() {
  echo "bye" >> $netrc
  echo "" >> $netrc
  chmod 600 $netrc
}

restorenetrc() {
  # restore .netrc
  if [ -f $netrc ] && ! ( grep '# MADE BY DPKG_FTP_METHOD' $netrc > /dev/null )
  then
    rm $netrc
  fi
  if [ -f save.netrc ]
  then
    mv  save.netrc $netrc
  fi
}

yesno () {
	while true
	do
		echo -n "$2 [$1]  "
		read response
		if [ -z "$response" ]
		then
			response="$1"
		fi
		case "$response" in
		[Nn]*)	yesno=no ; return ;;
		[Yy]*)	yesno=yes ; return ;;
		esac
	done
}

doftp() {
  echo "Starting ftp session..."
  (ftp -v $ftpsite </dev/null 2>&1 | tee ftp.log) || echo 'FTP ERROR'
  echo "Ftp finshed."
}