# process a package file finding packagenames and version/revisions for all install'ed
# packages, output one line for each package with
# pkgname version revision
# if version or revision is missing insert 'none'

# inpkg will be true when we are in a package block
BEGIN { IGNORECASE = 1; inpkg = 0; }
/Package:/ { inpkg = 1; pkgname = $2; ver = "none"; rev = "none"; status = "install"}
inpkg && status == "install" && /^[ \t]*$/ { inpkg = 0; 
print pkgname, ver, rev;
}
/^[ \t]*$/ { inpkg = 0 }
# if we are in the pkg block find version and revsion
inpkg && $1 ~ "Version:" { ver = $2 }
inpkg && $1 ~ "Revision:" { rev = $2 }
inpkg && $1 ~ "Status:" { status = $2 }
